net.sf.okapi.lib.xliff2.reader

## Enum EventType

- java.lang.Object
- - java.lang.Enum<EventType>
  - - net.sf.okapi.lib.xliff2.reader.EventType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EventType>

      public enum EventType
      extends java.lang.Enum<EventType>

  List of the different types of `Event` objects the `XLIFFReader` can generate.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `END_DOCUMENT` End of the input document.
    `END_FILE` End of a file in an XLIFF document.
    `END_GROUP` End of a group.
    `END_XLIFF` End of the XLIFF element in the document.
    `INSIGNIFICANT_PART` Non-significant parts of the document (white-spaces between elements outside the content).
    `MID_FILE` Part of the file-level data after the skeleton and before the first unit or group.
    `SKELETON` Skeleton element.
    `START_DOCUMENT` Start of the input document.
    `START_FILE` Start of a file in an XLIFF document.
    `START_GROUP` Start of a group.
    `START_XLIFF` Start of the XLIFF element of the document.
    `TEXT_UNIT` A full unit element (start to end) This event comes with a `Unit` resource.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### START_DOCUMENT

          public static final EventType START_DOCUMENT

      Start of the input document. This event has no associated resource. There are no events before this one.

    - #### END_DOCUMENT

          public static final EventType END_DOCUMENT

      End of the input document. This event has no associated resource. There are no events after this one.

    - #### START_XLIFF

          public static final EventType START_XLIFF

      Start of the XLIFF element of the document. This event comes with an `StartXliffData` resource.

    - #### END_XLIFF

          public static final EventType END_XLIFF

      End of the XLIFF element in the document. This event has no associated resource.

    - #### START_FILE

          public static final EventType START_FILE

      Start of a file in an XLIFF document. This event comes with a `StartFileData` resource.

    - #### MID_FILE

          public static final EventType MID_FILE

      Part of the file-level data after the skeleton and before the first unit or group. This event comes with a `MidFileData` resource.

    - #### END_FILE

          public static final EventType END_FILE

      End of a file in an XLIFF document. This event has no associated resource.

    - #### SKELETON

          public static final EventType SKELETON

      Skeleton element. This event comes with a `StartXliffData` resource.

    - #### START_GROUP

          public static final EventType START_GROUP

      Start of a group. This event comes with a `StartGroupData` resource.

    - #### END_GROUP

          public static final EventType END_GROUP

      End of a group. This event has no associated resource.

    - #### TEXT_UNIT

          public static final EventType TEXT_UNIT

      A full unit element (start to end) This event comes with a `Unit` resource.

    - #### INSIGNIFICANT_PART

          public static final EventType INSIGNIFICANT_PART

      Non-significant parts of the document (white-spaces between elements outside the content). this event comes with a `InsingnificantPartData` resource.

  - ### Method Detail

    - #### values

          public static EventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EventType c : EventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EventType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null